{% extends "base.html.j2" %}
{% block meta %}
<link rel="stylesheet" type="text/css" href="/static/css/media.css" />
<link rel="stylesheet" type="text/css" href="/static/css/movie.css" />
<link rel="stylesheet" type="text/css" href="/static/css/dashboard.css" />
{% endblock %}

{% block content %}
<section class="inner_content movie_content backdrop poster">
    <div class="header large border first lazyload">
        <div class="custom_bg">
            <div class="single_column">

                <section class="images inner">
                    <div class="poster">
                        <div class="image_content">
                            <img class="poster" src="data:image/png;base64, {{media.fposter_b64}}" alt="{{media.title}}">
                        </div>
                    </div>

                    <div class="header_poster_wrapper">
                        <section class="header poster">
                            <div class="title" dir="auto">
                                <span><h2 class="22">{{media.title}}</h2>
                                    <span class="release_date">({{media.release_date.strftime('%Y')}})</span>
                                </span>
                            </div>
                            <ul class="auto actions">

                                <li class="chart">
                                    <div class="consensus">
                                        <div class="outer_ring">
                                            <div class="user_score_chart" data-percent="{{media.score}}"
                                                 data-track-color="#204529" data-bar-color="#21d07a">
                                                <div class="percent">
                                                    <span class="icon icon-r{{media.score|round|int}}"></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="text">Popularidad</div>
                                </li>

                                {% if current_user.is_authenticated %}
                                    {% if current_user.has_favorite(media) %}
                                <li class="use_tooltip tooltip" title="Eliminar de favoritos">
                                    <a id="favourite" class="favourite true"
                                       href="{{url_for('favorite_delete', title_unique=media.title_unique)}}">
                                        <span class="glyphicons glyphicons-heart x1"></span>
                                    </a>
                                </li>
                                    {% else %}
                                <li class="use_tooltip tooltip" title="Agregar a favoritos">
                                    <a id="favourite" class="favourite false"
                                       href="{{url_for('favorite_add', title_unique=media.title_unique)}}">
                                        <span class="glyphicons glyphicons-heart x1"></span>
                                    </a>
                                </li>
                                    {% endif %}
                                    {% if current_user.is_admin%}
                                <li class="use_tooltip tooltip" title="Editar metadatos">
                                    <a id="favourite" class="favourite false"
                                        href="{{url_for('edit_media_metadata',
                                        media_type=media.media_type,
                                        title_unique=media.title_unique)}}">
                                        <span class="glyphicons glyphicons-pencil x1"></span>
                                    </a>
                                </li>
                                    {% endif %}
                                {% else %}
                                <li class="use_tooltip tooltip"
                                    title="Inicie sesión para agregar esta película a su lista de favoritos">
                                    <a id="favourite" class="no_click add_to_account_list favourite false" href="#">
                                        <span class="glyphicons glyphicons-heart x1"></span>
                                    </a>
                                </li>
                                {% endif %}
                            </ul>

                            <div class="header_info">
                                <h3 dir="auto">Resumen</h3>
                                <div class="overview" dir="auto">
                                    <p>{{media.description|truncate(330)}}</p>
                                </div>

                                <!--<h3 class="featured" dir="auto">Equipo destacado</h3>-->
                                <!--<ol class="people no_image">-->

                                    <!--<li class="profile">-->
                                        <!--<p><a href="/person/19272-joe-russo">Joe Russo</a></p>-->
                                        <!--<p class="character">Director</p>-->
                                    <!--</li>-->

                                    <!--<li class="profile">-->
                                        <!--<p><a href="/person/19271-anthony-russo">Anthony Russo</a></p>-->
                                        <!--<p class="character">Director</p>-->
                                    <!--</li>-->

                                    <!--<li class="profile">-->
                                        <!--<p><a href="/person/5552-stephen-mcfeely">Stephen McFeely</a></p>-->
                                        <!--<p class="character">Screenplay</p>-->
                                    <!--</li>-->

                                    <!--<li class="profile">-->
                                        <!--<p><a href="/person/5551-christopher-markus">Christopher Markus</a></p>-->
                                        <!--<p class="character">Screenplay</p>-->
                                    <!--</li>-->
                                <!--</ol>-->

                            </div>
                        </section>
                    </div>

                </section>

            </div>
        </div>
    </div>

    <div id="chapter_list" style="width:75%; margin:auto; padding-top:2em; padding-bottom:1.5em;">
            {% if chapters|length < 1 %}
                <div class="sin-publicaciones">
                    <p>Aún no hay publicaciones disponibles</p>
                </div>
            {% else %}
                {% for season, chapter in chapters.items() %}
                    <h2 class="chapter">Temporada {{season}}</h2>

                    {% for chapter_number, episode in chapter.items() %}

                    <div class="card v4">
                    <div class="image">
                        <div class="poster">
                            <a href="{{url_for('chapters',
                                media_type=media.media_type,
                                title_unique=media.title_unique,
                                season=season,
                                chapter=chapter_number,
                                )}}"
                            >
                            <img class="poster fade lazyautosizes lazyloaded"
                                 alt="{{episode.title}}"
                                 title="{{episode.title}}"
                                 sizes="150px"
                                 style="height: 200px; width: 140px;"
                                 src="data:image/png;base64, {{episode.fposter_b64}}">
                            </a>
                        </div>
                    </div>

                    <div class="details">
                        <div class="flex_space_between">
                            <div class="wrapper">
                                <div class="consensus tight">
                                    <div class="outer_ring">
                                        <div class="user_score_chart {{episode.hash}}"
                                        data-percent="{{episode.score}}" data-track-color="#204529" data-bar-color="#21d07a">
                                            <div class="percent">
                                                <span class="icon icon-r{{episode.score|round|int}}"></span>
                                            </div>
                                            <canvas height="32" width="32"></canvas>
                                            <canvas height="32" width="32"></canvas>
                                            <canvas height="32" width="32"></canvas>
                                            <canvas height="32" width="32"></canvas>
                                        </div>
                                    </div>
                                </div>

                            <div class="title">
                                <a href="{{url_for('chapters',
                                    media_type=media.media_type,
                                    title_unique=media.title_unique,
                                    season=season,
                                    chapter=chapter_number,
                                    )}}"
                                   target="_blank"
                                >
                                    <h2>[{{'%01d' % season}} / {{'%01d' % chapter_number}}] - {{episode.title}}</h2>
                                </a>
                            </div>
                            <span class="release_date">{{episode.release_date.strftime('%b %d, %Y')}}</span>
                        </div>

                            <div class="overview true" style="word-wrap: break-word;">
                                <p>{{episode.description|truncate(330)}}</p>
                            </div>
                        </div>

                        <div class="action_bar">
                            <ul>
                                <li>
                                    <a class="list_item_rating"
                                        href="{{url_for('chapters',
                                        media_type=media.media_type,
                                        title_unique=media.title_unique,
                                        season=season,
                                        chapter=chapter_number,
                                        )}}"
                                        target="_blank"
                                    >
                                    <span class="glyphicons glyphicons-play"></span> Continuar</a>

                                    {% if current_user.is_admin %}
                                    &nbsp;
                                    <a class="list_item_rating"
                                        href="{{url_for("episode_delete",
                                        media_type=media.media_type,
                                        title_unique=media.title_unique,
                                        season=season,
                                        chapter=chapter_number,
                                        )}}"
                                    >
                                    <span class="glyphicons glyphicons-remove"></span> Eliminar</a>
                                    </a>
                                    {% endif %}
                                </li>
                            </ul>
                        </div>
                    </div>

                    <script>
                        $(function() {
                            $('.user_score_chart.{{episode.hash}}').easyPieChart({
                                lineCap: 'round',
                                lineWidth: 3,
                                scaleColor: false,
                                size: 32,
                                animate: {
                                    enabled: false
                                }
                            });
                        });
                    </script>
                    </div>
                    {% endfor %}
                    <br />
                {% endfor %}
            {% endif %}
    </div>

    <style>
        div.header.large.first:before {
            content: '';
            position: absolute;
            left: 0;
            right: 0;
            width: 100%;
            height: 100%;
            z-index: -1;
            display: block;
            filter: opacity(0) grayscale(100%) contrast(130%);
            background-size: cover;
            background-repeat: no-repeat;
            background-position: 50% 50%;
            background-image: url('data:image/png;base64, {{media.bposter_b64}}');
            will-change: opacity;
            transition: filter 1s;
        }
    </style>

    <script>
        $(function() {
            $('.user_score_chart').easyPieChart({
                lineCap: 'round',
                lineWidth: 6,
                scaleColor: false,
                size: 60,
                animate: {
                    duration: 2000,
                    enabled: true
                }
            });
        });
    </script>
</div>
{% endblock %}
